<template>
<v-form ref="form" v-model="valid">
  <div class="fields">
    <v-text-field 
      v-model="fields.name.value"
      :rules="fields.name.rules"
      :label="fields.name.label"
      :counter="fields.name.counter"
      :key=0
      required
    />
    <v-textarea
      v-model="fields.description.value"
      :rules="fields.description.rules"
      :label="fields.description.label"
      :counter="fields.description.counter"
      :auto-grow="true"
        :rows="1"
      :key=1
      required
    />
    <v-text-field 
      v-model="fields.cantSesions.value"
      :rules="fields.cantSesions.rules"
      :label="fields.cantSesions.label"
      :type="fields.cantSesions.type"
      :counter="fields.cantSesions.counter"
      :key=2
      
    />
  </div>
  <div class="content-footer">
    <st-secondary-btn nombre="Cancelar" @click="$emit('cancel')"/>
    <st-primary-btn nombre="Siguiente" :disable="!valid" @click="goNext()"/>
  </div>
</v-form>
</template>

<script>
export default {
  props:{
    data: Object
  },
  data () {
    return{
      valid:false,
      fields:{
        name:{
            value:'',
            label:'Nombre de la tutoría',
            rules:[
                v => (v && v.length <= 200) || 'Escribir el nombre de la tutoría.',
                ],
            counter: 200
            },
        description:{
            value:'',
            label:'Descripción',
            rules:[
                v => (v && v.length <= 200) || 'Escribir la descripción.',
                ],
            counter: 200
        },
        cantSesions:{
            value:'0',
            label:'Cantidad de sesiones',
            type: 'number',
            rules:[
                v => (!v || parseInt(v) <= 100) || 'Máximo de sesiones: 100',
                ],
            counter: 3,
        }
      },
    }
  },
  mounted(){
    if(this.data){
      let fields = this.fields
      let data = this.data
      fields.name.value = data.nombre.value
      fields.description.value = data.descripcion.value
      fields.cantSesions.value = data.cantSesiones.value
    }
  },
  methods: {
    goNext(){
      if(this.fields.cantSesions.value == '') this.fields.cantSesions.value = '0'
      let data = {
        nombre: this.fields.name.value,
        descripcion: this.fields.description.value,
        numeroSesiones: this.fields.cantSesions.value,
      }
      this.$emit('next',data)
    }
  },
}
</script>

<style scoped lang="scss"> 
/* scope for encapsulate css */
</style>